<?php

/**
 * @module          Meta Facebook
 * @author          cms-lab
 * @copyright       2017-2018 cms-lab
 * @link            http://www.cms-lab.com
 * @license         custom license: http://cms-lab.com/_documentation/meta-facebook/license.php
 * @license_terms   please see license
 *
 */

class meta_facebook extends LEPTON_abstract
{
	public $settings = array();	
	public $current_page = array();	
	public $image_url = '';	
	public $database = 0;
	public $admin = 0;
	public $addon_color = 'blue';
	public $action = LEPTON_URL.'/modules/meta_facebook/';	
	public $action_url = ADMIN_URL . '/admintools/tool.php?tool=meta_facebook';	

	public static $instance;

	public function initialize() 
	{
		$this->database = LEPTON_database::getInstance();		
		$this->init_tool();
	}
	
	public function init_tool( $sToolname = '' )
	{
		if(!defined('PAGE_ID')) {
			define ('PAGE_ID','0');
		}

		//get current_page
		$this->current_page = array();
		$this->database->execute_query(
			"SELECT * FROM ".TABLE_PREFIX."pages WHERE page_id = ".(PAGE_ID ?? 0)." " ,
			true,
			$this->current_page,
			false
		); 
		
		//get settings
		$this->settings = array();
		$this->database->execute_query(
			"SELECT * FROM ".TABLE_PREFIX."mod_meta_facebook_settings " ,
			true,
			$this->settings,
			false
		);	

		//get image_url with biggest width
		//get all sections
		$all_sections = array();
		$this->database->execute_query(
			"SELECT `content` FROM ".TABLE_PREFIX."mod_wysiwyg WHERE page_id = ".PAGE_ID." " ,
			true,
			$all_sections,
			true
		);	
		
		$biggest_width = 0;
		$origImageSrc = array();
		foreach ($all_sections as $temp_section	){
			$htmlContent = $temp_section['content'];	
		
			// read all image tags into an array
			preg_match_all('/<img[^>]+>/i',$htmlContent, $imgTags); 

			for ($i = 0; $i < count($imgTags[0]); $i++) {
			  // get the source string
			  preg_match('/src="([^"]+)/i',$imgTags[0][$i], $imgage);

			  // remove opening 'src=' tag, can`t get the regex right
			  $origImageSrc[] = str_ireplace( 'src="', '',  $imgage[0]);
			}
			if (count($origImageSrc) > 0)	{	
				foreach($origImageSrc as $temp_image) {
					$info =   getimagesize( $temp_image );
					if($info[0]> $biggest_width) {
						$biggest_width = $info[0];
						$this->image_url = $temp_image;
					}
				}
			}
		}				
	}

} // end of class
?>